import { MajorConfig } from '@oinone/kunlun-engine';
import { Router } from '@oinone/kunlun-router';
import { FormItemRule, OioFormInstance } from '@oinone/kunlun-vue-ui-antd';
import { SelectItem } from '@oinone/kunlun-vue-ui-common';
import { BaseI18nRouterWidget } from '../../basic';
import { ResourceCountry } from '../../typing';
import { ResetPasswordData } from './typing';
export declare class ForgetPasswordWidget extends BaseI18nRouterWidget {
    protected moduleName: string;
    protected router: Router;
    private formInstance;
    getFormInstance(): OioFormInstance<unknown> | undefined;
    setFormInstance(formInstance: OioFormInstance | undefined): void;
    initialize(config: any): this;
    protected formData: ResetPasswordData;
    protected majorConfig: MajorConfig | undefined;
    protected countryList: SelectItem<ResourceCountry>[];
    protected selectedCountry: SelectItem<ResourceCountry> | undefined;
    protected get copyrightYear(): string;
    protected get verificationRules(): Record<string, FormItemRule[]>;
    protected validateNewPassword(rule: FormItemRule, value: string): Promise<void | never>;
    protected validateConfirmPassword(role: FormItemRule, value: string): Promise<void | never>;
    protected onSelectCountry(selected: SelectItem<ResourceCountry> | undefined): void;
    private gotoLogin;
    protected fetchVerificationCode(): Promise<boolean>;
    protected refreshPicCodeImage(): Promise<void>;
    protected getPicCode(): string;
    protected onOk(): Promise<void>;
    protected executeResetPasswordByPhone(phone: string, verificationCode: string, password: string, confirmPassword: any): Promise<boolean>;
    protected mountedProcess(): Promise<void>;
    protected initMajorConfig(): Promise<void>;
    protected initCountryList(): Promise<void>;
    protected $$beforeMount(): void;
    $$mounted(): void;
}
